Subject: bug#66744: 30.0.50; Emacs crashes when re-dumping into the same dump file another Emacs instance is using

From: Gerd Möllmann <[email-masked]>
Date: Thu, 26 Oct 2023 20:47:13 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Ihor Radchenko <[email-masked]>
>> Cc: Gerd Möllmann <[email-masked]>,
>>  [email-masked]
>> Date: Thu, 26 Oct 2023 18:34:24 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Then maybe I don't understand what bothers you.  What are the "changes
>> > made to the dump file in step 3" to which you allude?  AFRAIU, step 3
>> > simply loads the dump file, it doesn't change the file.  What did I
>> > miss?
>> 
>> step 1: create the dump file
>> step 2: load Emacs with the created dump file
>> step 3: repeat step 1 while Emacs is running -> running Emacs crashes
>>      once I interact with its frame.
>> 
>> Hope it is more clear.
>
> Thanks, but no, it isn't.  Step 3 writes a new and different dump
> file, doesn't it?  So how could those changes be "visible in the
> mmaped dump file that Emacs from step 2 uses"?

Please see my mail, which is more precise: it's always the same file F.